Bug 724531 - Import ICU library into the mozilla tree. r=ted
authorNorbert Lindenberg <mozilladev@lindenbergsoftware.com>
Fri, 01 Mar 2013 20:53:01 -0800
changeset 134859 7810fb353f1a950e628d38e81b65b8839a0a78b8
parent 134858 1dde77969a45556779c7547bc892c4adbfd42348
child 134860 e17bedcbeb7c6707c73a0a41f9c3a2c2e74eca4c
push id336
push userakeybl@mozilla.com
push dateMon, 17 Jun 2013 22:53:19 +0000
treeherdermozilla-release@574a39cdf657 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersted
bugs724531
milestone22.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 724531 - Import ICU library into the mozilla tree. r=ted
intl/update-icu.sh
new file mode 100755
--- /dev/null
+++ b/intl/update-icu.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+# Usage: update-icu.sh <URL of ICU SVN with release>
+# E.g., for ICU 50.1.1: update-icu.sh http://source.icu-project.org/repos/icu/icu/tags/release-50-1-1/
+
+if [ $# -lt 1 ]; then
+  echo "Usage: update-icu.sh <URL of ICU SVN with release>"
+  exit 1
+fi
+
+icu_dir=`dirname $0`/icu
+rm -rf ${icu_dir}
+svn export $1 ${icu_dir}
+
+# remove layout, tests, and samples, but leave makefiles in place
+find ${icu_dir}/source/layout -name '*Makefile.in' -prune -or -type f -print | xargs rm
+find ${icu_dir}/source/layoutex -name '*Makefile.in' -prune -or -type f -print | xargs rm
+find ${icu_dir}/source/test -name '*Makefile.in' -prune -or -type f -print | xargs rm
+find ${icu_dir}/source/samples -name '*Makefile.in' -prune -or -type f -print | xargs rm
+
+# remove data that we currently don't need
+rm ${icu_dir}/source/data/brkitr/*
+rm ${icu_dir}/source/data/lang/*.mk
+rm ${icu_dir}/source/data/lang/*.txt
+rm ${icu_dir}/source/data/mappings/*.mk
+find ${icu_dir}/source/data/mappings \
+    -name ibm-37_P100-1995.ucm -prune -or \
+    -name ibm-1047_P100-1995.ucm -prune -or \
+    -name '*.ucm' -print | xargs rm
+rm ${icu_dir}/source/data/rbnf/*
+rm ${icu_dir}/source/data/region/*.mk
+rm ${icu_dir}/source/data/region/*.txt
+rm ${icu_dir}/source/data/translit/*
+
+# Record `svn info`
+svn info $1 > ${icu_dir}/SVN-INFO
+
+hg addremove ${icu_dir}